Bug 91627 - Bash 'segmentation fault' with array subscripts of type: '<smt>[<smt>]<smt>'
Summary: Bash 'segmentation fault' with array subscripts of type: '<smt>[<smt>]<smt>'
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash   
(Show other bugs)
Version: 8.0
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-26 10:44 UTC by Kyriakos Sidiropoulos
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-27 08:13:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kyriakos Sidiropoulos 2003-05-26 10:44:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0; Hotbar 4.2.8.0)

Description of problem:
[Raptor@Sirca .tmp]$ a[d[c]d]=blahblah
bash: d[c]d: syntax error in expression (error token is "d")

Process shell segmentation fault


Version-Release number of selected component (if applicable):
bash-2.05b

How reproducible:
Always

Steps to Reproduce:
Just type something like : a[d[c]d]=e on the command line and press enter


Actual Results:

bash: d[c]d: syntax error in expression (error token is "d")

Process shell segmentation fault


Expected Results:
[Raptor@Sirca .tmp]$ a[d[c]d]=blahblah
bash: d[c]d: syntax error in expression (error token is "d")
[Raptor@Sirca .tmp]$



Additional info:

~> bash --version
... 2.03.0(1) ...
~>
~> a[d[c]d]=blahblah
bash: d[c]d: syntax error in expression (error token is "d")
~>

Comment 1 Tim Waugh 2003-05-27 08:13:26 UTC
Happens in 9 too.  Reported upstream.


Note You need to log in before you can comment on or make changes to this bug.